> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List VM plans



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans/virtual_machines
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /plans/virtual_machines:
    get:
      tags:
        - Plans
      summary: List VM plans
      operationId: get-vm-plans
      parameters:
        - name: filter[gpu]
          in: query
          required: false
          description: Filter plans by GPU availability
          schema:
            type: boolean
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: plan_aNmodj4eDbE8W
                        type: virtual_machine_plans
                        attributes:
                          name: vm.l40s.tiny
                          specs:
                            memory: 16
                            gpu: NVIDIA H100 Tensor Core GPU
                            vram_per_gpu: 80
                            vcpus: 14
                            vcpu:
                              count: 14
                              clock: 3.8
                              type: Intel Xeon
                            nics:
                              - type: 1 Gbps
                                count: '1'
                            disk:
                              type: local NVMe
                              size:
                                amount: 150
                                unit: gib
                          regions:
                            - name: United States
                              locations:
                                available:
                                  - DAL
                                in_stock:
                                  - DAL
                              stock_level: low
                              pricing:
                                USD:
                                  hour: 1
                                  month: 720
                                  year: 8640
                                BRL:
                                  hour: 1
                                  month: 720
                                  year: 8640
                          stock_level: low
                          available_operating_systems:
                            - ubuntu_24_04_x64_lts
                            - debian_13
                            - rocky_10
                            - almalinux_10
              schema:
                $ref: '#/components/schemas/virtual_machine_plans'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.plans.list_vm_plans()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.VM.List(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualMachinePlans != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.plans.vm.list();

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_machine_plans:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The ID of the plan
              type:
                type: string
                enum:
                  - virtual_machine_plans
                description: The type of the resource
              attributes:
                type: object
                properties:
                  name:
                    type: string
                    description: The name of the plan
                  specs:
                    type: object
                    properties:
                      memory:
                        type: integer
                        description: The total memory
                      gpu:
                        type: string
                        description: The GPU type
                      vram_per_gpu:
                        type: integer
                        nullable: true
                        description: VRAM per GPU in GB
                      vcpus:
                        type: integer
                        description: The number of virtual CPUs (legacy field)
                      vcpu:
                        type: object
                        description: Detailed vCPU specifications
                        properties:
                          count:
                            type: integer
                            nullable: true
                            description: The number of virtual CPUs
                          clock:
                            type: number
                            nullable: true
                            description: The CPU clock speed in GHz
                          type:
                            type: string
                            nullable: true
                            description: The CPU type/model
                      nics:
                        type: array
                        nullable: true
                        description: Network interface cards
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              description: NIC speed/type
                            count:
                              type: string
                              description: Number of NICs
                      disk:
                        type: object
                        properties:
                          type:
                            type: string
                            description: The type of the disk (e.g., local SSD, local NVMe)
                          size:
                            type: object
                            properties:
                              amount:
                                type: integer
                                description: The total size of the disk
                              unit:
                                type: string
                                enum:
                                  - gib
                                description: The unit of the disk size
                  regions:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        available:
                          type: array
                          items:
                            type: string
                        pricing:
                          type: object
                          properties:
                            USD:
                              type: object
                              properties:
                                hour:
                                  type: number
                                month:
                                  type: number
                                year:
                                  type: number
                            BRL:
                              type: object
                              properties:
                                hour:
                                  type: number
                                month:
                                  type: number
                                year:
                                  type: number
                        locations:
                          type: object
                          properties:
                            available:
                              type: array
                              items:
                                type: string
                              description: Sites with clusters that support this plan
                            in_stock:
                              type: array
                              items:
                                type: string
                              description: Sites with available capacity for this plan
                        stock_level:
                          type: string
                          enum:
                            - low
                            - unavailable
                            - medium
                            - high
                          description: The stock level in this region
                  stock_level:
                    type: string
                    enum:
                      - low
                      - unavailable
                      - medium
                      - high
                    description: The stock level of the plan
                  available_operating_systems:
                    type: array
                    description: >-
                      List of operating system slugs that are compatible with
                      this plan
                    items:
                      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````